%define name gsm
%define version 1.0.10
%define release 4mdk
%define srcver 1.0-pl10

Summary: Shared libraries for GSM speech compressor.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: gsm-%{version}.tar.bz2
Patch0: gsm-1.0.10-dyn.patch.bz2
License: distributable
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://kbs.cs.tu-berlin.de/~jutta/toast.html

%description
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable 
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package devel
Summary: Development libraries for a GSM speech compressor.
Group: Development/C
Requires: %{name} = %{version}

%description devel
Contains header files and development libraries for libgsm, an
implementation of the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable 
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gsm-%{srcver}
%patch0 -p1

%build
%make CCFLAGS='-c %{optflags} -D_REENTRANT -DNeedFunctionPrototypes=1' all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,man/man3,man/man1,bin,inc}
make install INSTALL_ROOT=$RPM_BUILD_ROOT/usr
mv $RPM_BUILD_ROOT/usr/inc $RPM_BUILD_ROOT%_includedir
mkdir $RPM_BUILD_ROOT%_datadir
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/man1/*
%_mandir/man3/*

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_includedir/*

%changelog
* Fri Jul 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-4mdk
- rebuild
- really add url

* Sun Mar 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-3mdk
- url, macros
- provide man pages

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-2mdk
- rebuild

* Fri Oct 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.10-1mdk
- first version

# libgsm.spec ends here
